k6 v0.38.1 is a patch release containing a bugfix!

### Threshold sub-metric selectors containing reserved symbols would fail ([#2512](https://github.com/grafana/k6/issues/2512))

There was a bug in threshold sub-metric selector parsing, which led to errors when users would use specific symbols such as `{`, `}` or `:` as part of their definitions. For instance, thresholds used for sub-metrics with [URL Grouping](https://k6.io/docs/using-k6/http-requests/#url-grouping) like `http_req_duration{name:"http://example.com/${}"}` would have led to failures in `v0.38.0`. 

The error messages for invalid metric, sub-metric and threshold definitions were also improved.

Special thanks to @efdknittlfrank, who reported and helped us track down the issue.
